summaryrefslogtreecommitdiffstats
path: root/databases/msql3/files
diff options
context:
space:
mode:
authortg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committertg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit3a84881f168162a487490bbbd275ca05b7f5560d (patch)
treee888acd7e17d635c1f902fccb1eefdf89f15641a /databases/msql3/files
parent83513fef56c1c9996eb040a93488ed7837fac927 (diff)
downloadFreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.zip
FreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'databases/msql3/files')
-rw-r--r--databases/msql3/files/msql2.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/databases/msql3/files/msql2.sh b/databases/msql3/files/msql2.sh
new file mode 100644
index 0000000..4f9ff5c
--- /dev/null
+++ b/databases/msql3/files/msql2.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/bin/msql2d ] && su -l msql -c 'exec ${PREFIX}/bin/msql2d' > /dev/null 2>&1 & && echo -n ' msql2'
+ ;;
+stop)
+ killall msql2d && echo -n ' msql2d'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud